Export entries to DSML v.1

This abstract classes provides all the common methods and variables for the custom export classes.

package | phpLDAPadmin
subpackage | Export

### Methods

## accept()

    accept()

Inherited

inherited_from | \Export::accept()

## Export entries to DSML format

    export()

## getType()

    getType()

## isCompressed()

    isCompressed()

Inherited

inherited_from | \Export::isCompressed()

## getHeader()

    getHeader()

Inherited

inherited_from | \Export::getHeader()

## Return this LDAP Server object

    getServer() : object

Inherited

inherited_from | \Export::getServer()

### Returns

`object`DataStore Server

## Return the LDAP server ID

    getServerID() : int

Inherited

inherited_from | \Export::getServerID()

### Returns

`int`Server ID

## Helper method to check if the attribute value should be base 64 encoded.

    isSafeAscii(\The $str) : boolean

Inherited

inherited_from | \Export::isSafeAscii()

### Parameters

#### $str

`\The`

string to check.

### Returns

`boolean`true if the string is safe ascii, false otherwise.

### Properties

## $br

    $br

Inherited

inherited_from | \Export::$$br

## $compress

    $compress

Inherited

inherited_from | \Export::$$compress

## $items

    $items

Inherited

inherited_from | \Export::$$items

## $results

    $results

Inherited

inherited_from | \Export::$$results

## $resultsdata

    $resultsdata

Inherited

inherited_from | \Export::$$resultsdata